# 查找相关论文 (/zh/api-reference/endpoint/research-related-papers)

<!-- agent-signals: reading_time_min: 2 · est_tokens: 1617 · updated: 2026-07-30 -->
Related: [Search（搜索）](/zh/api-reference/endpoint/search.md), [搜索反馈](/zh/api-reference/endpoint/search-feedback.md), [Scrape](/zh/api-reference/endpoint/scrape.md), [批量抓取](/zh/api-reference/endpoint/batch-scrape.md), [获取批量抓取状态](/zh/api-reference/endpoint/batch-scrape-get.md), [取消批量抓取](/zh/api-reference/endpoint/batch-scrape-delete.md)

从一篇种子论文出发，通过结构扩展查找相关论文，并根据自然语言 `intent` 对候选论文进行排序。使用 `mode` 选择相似论文、引用该论文的论文或其参考文献。

有关工作流概览，请参见 [Research Index 指南](/zh/features/research)。

`GET /search/research/papers/{id}/similar`

查找相关论文

## OpenAPI

```json
{
  "security": [
    {
      "bearerAuth": []
    }
  ],
  "parameters": [
    {
      "description": "主种子论文引用。",
      "examples": {
        "paperId": {
          "summary": "规范 paperId",
          "value": "2014215642691656232"
        },
        "sourceId": {
          "summary": "源特定 primaryId",
          "value": "arxiv:2105.05233"
        }
      },
      "in": "path",
      "name": "id",
      "required": true,
      "schema": {
        "type": "string"
      }
    },
    {
      "description": "用于语义排序的自然语言排序/过滤意图。",
      "in": "query",
      "name": "intent",
      "required": true,
      "schema": {
        "minLength": 1,
        "type": "string"
      }
    },
    {
      "description": "结构扩展模式。",
      "in": "query",
      "name": "mode",
      "required": false,
      "schema": {
        "default": "similar",
        "enum": [
          "similar",
          "citers",
          "references"
        ],
        "type": "string"
      }
    },
    {
      "description": "返回的相关论文的最大数量。",
      "in": "query",
      "name": "k",
      "required": false,
      "schema": {
        "default": 40,
        "maximum": 500,
        "minimum": 1,
        "type": "integer"
      }
    },
    {
      "description": "对融合后的候选结果再进行一次重排序。",
      "in": "query",
      "name": "rerank",
      "required": false,
      "schema": {
        "type": "boolean"
      }
    },
    {
      "description": "附加的种子论文引用。多个锚点时，请重复传入此参数。",
      "in": "query",
      "name": "anchor",
      "required": false,
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "example": {
            "poolSize": 40,
            "results": [
              {
                "abstract": "We present high quality image synthesis results using diffusion probabilistic models...",
                "ids": {
                  "arxiv": [
                    "2006.11239"
                  ]
                },
                "paperId": "482107036680302043",
                "primaryId": "arxiv:2006.11239",
                "score": 0.032119,
                "signals": {
                  "articleRank": 0.00031,
                  "seedOverlap": 2,
                  "semantic": 0.61,
                  "structural": 12
                },
                "title": "Denoising Diffusion Probabilistic Models"
              }
            ],
            "success": true,
            "truncated": false
          },
          "schema": {
            "properties": {
              "note": {
                "nullable": true,
                "type": "string"
              },
              "poolSize": {
                "minimum": 0,
                "type": "integer"
              },
              "results": {
                "items": {
                  "properties": {
                    "abstract": {
                      "type": "string"
                    },
                    "ids": {
                      "additionalProperties": {
                        "items": {
                          "type": "string"
                        },
                        "type": "array"
                      },
                      "description": "按命名空间分组的来源标识符。",
                      "example": {
                        "arxiv": [
                          "2105.05233"
                        ]
                      },
                      "type": "object"
                    },
                    "paperId": {
                      "description": "规范论文 ID，或对通过 SERP 发现的展示结果使用 web:<url>。",
                      "type": "string"
                    },
                    "primaryId": {
                      "description": "首选的 cite/fetch ID，例如 arxiv:<id>、pmid:<id>、pmcid:<id> 或 doi:<id>。",
                      "type": "string"
                    },
                    "score": {
                      "format": "double",
                      "type": "number"
                    },
                    "signals": {
                      "properties": {
                        "articleRank": {
                          "description": "结构扩展的 article-rank 分数。",
                          "format": "double",
                          "type": "number"
                        },
                        "seedOverlap": {
                          "description": "与该候选结果关联的不同种子数量。",
                          "minimum": 0,
                          "type": "integer"
                        },
                        "semantic": {
                          "description": "意图搜索的语义分数。",
                          "format": "double",
                          "type": "number"
                        },
                        "structural": {
                          "description": "原始结构图信号。",
                          "format": "double",
                          "type": "number"
                        }
                      },
                      "required": [
                        "structural",
                        "semantic",
                        "articleRank",
                        "seedOverlap"
                      ],
                      "type": "object"
                    },
                    "title": {
                      "type": "string"
                    }
                  },
                  "required": [
                    "paperId",
                    "primaryId",
                    "title",
                    "abstract",
                    "score"
                  ],
                  "type": "object"
                },
                "type": "array"
              },
              "success": {
                "type": "boolean"
              },
              "truncated": {
                "type": "boolean"
              }
            },
            "required": [
              "success",
              "results",
              "poolSize",
              "truncated"
            ],
            "type": "object"
          }
        }
      },
      "description": "已排序的相关论文。"
    },
    "400": {
      "description": "无效请求"
    },
    "401": {
      "description": "缺少 Bearer 令牌或令牌无效"
    },
    "429": {
      "description": "超出限流"
    },
    "500": {
      "description": "内部服务器错误"
    }
  }
}
```
